Get all respondents
curl --request POST \
--url https://api.redem.io/v2/getAllRespondents \
--header 'Content-Type: application/json' \
--header 'api-key: <api-key>' \
--data '
{
"surveyName": "Global Vacation Insights 2024"
}
'import requests
url = "https://api.redem.io/v2/getAllRespondents"
payload = { "surveyName": "Global Vacation Insights 2024" }
headers = {
"api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({surveyName: 'Global Vacation Insights 2024'})
};
fetch('https://api.redem.io/v2/getAllRespondents', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"message": "Respondents quality retrieved successfully",
"results": [
{
"respondentId": "RESP497770",
"status": "COMPLETED",
"respondentQuality": {
"isExcluded": false,
"reasonsForExclusion": [
"Open Ended Score Threshold",
"Coherence Score Threshold"
],
"redemScore": 85,
"dataPointsSummary": [
{
"qualityCheck": "OES",
"dataPointId": "Q1",
"score": 85,
"category": "VALID_ANSWER"
},
{
"qualityCheck": "TS",
"dataPointId": "durationQ1",
"score": 95
},
{
"qualityCheck": "GQS",
"dataPointId": "Q2",
"score": 90
},
{
"qualityCheck": "OES",
"dataPointId": "Q3",
"score": 75,
"category": "VALID_ANSWER"
},
{
"qualityCheck": "TS",
"dataPointId": "durationQ3",
"score": 50
},
{
"qualityCheck": "CHS",
"dataPointId": "CHS_Question",
"score": 75,
"reason": "The user shows several inconsistencies and contradictions, such as different ..."
},
{
"qualityCheck": "GQS",
"dataPointId": "Q4",
"score": 80
},
{
"qualityCheck": "TS",
"dataPointId": "totalDuration",
"score": 65
}
],
"qualityScoreSummary": [
{
"qualityCheck": "OES",
"score": 80
},
{
"qualityCheck": "CHS",
"score": 75,
"reason": "The user shows several inconsistencies and contradictions, such as different ..."
},
{
"qualityCheck": "GQS",
"score": 85
},
{
"qualityCheck": "TS",
"score": 70
}
]
}
},
{
"respondentId": "RESP497771",
"status": "PROCESSING"
},
{
"respondentId": "RESP497772",
"status": "PROCESSING"
},
{
"respondentId": "RESP497773",
"status": "COMPLETED",
"respondentQuality": {
"isExcluded": false,
"reasonsForExclusion": [],
"redemScore": -999,
"dataPointsSummary": [
{
"qualityCheck": "OES",
"dataPointId": "Q1",
"score": -999,
"category": "N/A"
},
{
"qualityCheck": "TS",
"dataPointId": "durationQ1",
"score": -999
},
{
"qualityCheck": "GQS",
"dataPointId": "Q2",
"score": -999
},
{
"qualityCheck": "OES",
"dataPointId": "Q3",
"score": -999,
"category": "N/A"
},
{
"qualityCheck": "TS",
"dataPointId": "durationQ3",
"score": -999
},
{
"qualityCheck": "CHS",
"dataPointId": "CHS_Question",
"score": -999,
"reason": "N/A"
},
{
"qualityCheck": "GQS",
"dataPointId": "Q4",
"score": -999
},
{
"qualityCheck": "TS",
"dataPointId": "totalDuration",
"score": -999
}
],
"qualityScoreSummary": [
{
"qualityCheck": "OES",
"score": -999
},
{
"qualityCheck": "CHS",
"score": -999,
"reason": "N/A"
},
{
"qualityCheck": "GQS",
"score": -999
},
{
"qualityCheck": "TS",
"score": -999
}
]
}
}
]
}Endpoints
Get All Respondents
Retrieve the quality check results and status for all respondents in a specific survey.
POST
/
v2
/
getAllRespondents
Get all respondents
Authorizations
Body
application/json
Request body for getting all respondents
The name of the survey.
Response
When a request is successfully processed, the API responds with a 200 OK status code and the expected data.
A variable indicating whether the operation was successful.
Available options:
true, false A variable that human-readable message providing additional context or confirmation of the requested action.
This variable includes all quality parameters associated with a respondent.
Show child attributes
Show child attributes
Was this page helpful?
⌘I